For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a customer group

How to create a customer group via API

To create a new customer group, send a POST request to the /api/customer_groups endpoint, passing the resource arguments in the request body.

Request

POST https://yourdomain.commercelayer.io/api/customer_groups

Arguments

Body Parameter
Type
Required

type

string

Required

attributes.name

string

Required

attributes.code

string

Optional

attributes.reference

string

Optional

attributes.reference_origin

string

Optional

attributes.metadata

object

Optional

Example

The following request creates a new customer group:

curl -g -X POST \
  'https://yourdomain.commercelayer.io/api/customer_groups' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token' \
  -H 'Content-Type: application/vnd.api+json' \
  -d '{
  "data": {
    "type": "customer_groups",
    "attributes": {
      "name": "VIP"
    }
  }
}'

On success, the API responds with a 201 Created status code, returning the created resource object:

{
  "data": {
    "id": "XAyRWNUzyN",
    "type": "customer_groups",
    "links": {
      "self": "https://yourdomain.commercelayer.io/api/customer_groups/XAyRWNUzyN"
    },
    "attributes": {
      "name": "VIP",
      "code": "vip1",
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": "ANY-EXTERNAL-REFEFERNCE",
      "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
      "metadata": {
        "foo": "bar"
      }
    },
    "relationships": {
      "customers": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/customer_groups/XAyRWNUzyN/relationships/customers",
          "related": "https://yourdomain.commercelayer.io/api/customer_groups/XAyRWNUzyN/customers"
        }
      },
      "markets": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/customer_groups/XAyRWNUzyN/relationships/markets",
          "related": "https://yourdomain.commercelayer.io/api/customer_groups/XAyRWNUzyN/markets"
        }
      },
      "attachments": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/customer_groups/XAyRWNUzyN/relationships/attachments",
          "related": "https://yourdomain.commercelayer.io/api/customer_groups/XAyRWNUzyN/attachments"
        }
      },
      "event_stores": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/customer_groups/XAyRWNUzyN/relationships/event_stores",
          "related": "https://yourdomain.commercelayer.io/api/customer_groups/XAyRWNUzyN/event_stores"
        }
      }
    },
    "meta": {
      "mode": "test",
      "organization_id": "xRRkjDFafe",
      "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
    }
  },
  "meta": {
    "mode": "test",
    "organization_id": "xRRkjDFafe",
    "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
  }
}

Last updated